All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
check_pos_semidefinite.hpp File Reference
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/mat/err/check_symmetric.hpp>`
`#include <stan/math/prim/mat/err/constraint_tolerance.hpp>`
`#include <stan/math/prim/scal/err/check_not_nan.hpp>`
`#include <stan/math/prim/scal/err/check_positive_size.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <stan/math/prim/mat/fun/value_of_rec.hpp>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y >
bool | stan::math::check_pos_semidefinite (const char *function, const char *name, const Eigen::Matrix< T_y, Dynamic, Dynamic > &y)
| Return `true` if the specified matrix is positive definite. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.